Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.telnet
Class SimpleOptionHandler

    java.lang.Object
      org.apache.commons.net.telnet.TelnetOptionHandler
          org.apache.commons.net.telnet.SimpleOptionHandler

public class SimpleOptionHandler
extends TelnetOptionHandler

Simple option handler that can be used for options that don't require subnegotiation.

Author:
  Bruno D'Avanzo

Constructor Summary
`SimpleOptionHandler(int optcode)` Constructor for the SimpleOptionHandler.
`SimpleOptionHandler(int optcode, boolean initlocal, boolean initremote, boolean acceptlocal, boolean acceptremote)` Constructor for the SimpleOptionHandler.

Method Summary
`int[]` | `answerSubnegotiation(int[] suboptionData, int suboptionLength)` Implements the abstract method of TelnetOptionHandler.
`int[]` | `startSubnegotiationLocal()` Implements the abstract method of TelnetOptionHandler.
`int[]` | `startSubnegotiationRemote()` Implements the abstract method of TelnetOptionHandler.

Methods inherited from class org.apache.commons.net.telnet.TelnetOptionHandler
`getAcceptLocal, getAcceptRemote, getInitLocal, getInitRemote, getOptionCode, setAcceptLocal, setAcceptRemote, setInitLocal, setInitRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleOptionHandler

    public SimpleOptionHandler(int optcode,
                               boolean initlocal,
                               boolean initremote,
                               boolean acceptlocal,
                               boolean acceptremote)

  Constructor for the SimpleOptionHandler. Allows defining desired initial setting for local/remote activation of this option and behaviour in case a local/remote activation request for this option is received.

Parameters:
  `optcode` - - option code.
  `initlocal` - - if set to true, a WILL is sent upon connection.
  `initremote` - - if set to true, a DO is sent upon connection.
  `acceptlocal` - - if set to true, any DO request is accepted.
  `acceptremote` - - if set to true, any WILL request is accepted.

### SimpleOptionHandler

    public SimpleOptionHandler(int optcode)

  Constructor for the SimpleOptionHandler. Initial and accept behaviour flags are set to false

Parameters:
  `optcode` - - option code.

Method Detail

### answerSubnegotiation

    public int[] answerSubnegotiation(int[] suboptionData,
                                      int suboptionLength)

  Implements the abstract method of TelnetOptionHandler.

  Specified by:
    `answerSubnegotiation` in class `TelnetOptionHandler`
  Parameters:
    `suboptionData` - - the sequence received, whithout IAC SB & IAC SE
    `suboptionLength` - - the length of data in suboption_data

  Returns:
    always null (no response to subnegotiation)

### startSubnegotiationLocal

    public int[] startSubnegotiationLocal()

  Implements the abstract method of TelnetOptionHandler.

  Specified by:
    `startSubnegotiationLocal` in class `TelnetOptionHandler`
  Returns:
    always null (no response to subnegotiation)

### startSubnegotiationRemote

    public int[] startSubnegotiationRemote()

  Implements the abstract method of TelnetOptionHandler.

  Specified by:
    `startSubnegotiationRemote` in class `TelnetOptionHandler`
  Returns:
    always null (no response to subnegotiation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.